#include <stdio.h>
#include <assert.h>

#include <stack>

using namespace std;

#define MAXN 1000000

/*
    Given an initial increasing sequence, it's convenient to remove the last elements.
    Removing elements may give a new increasing sequence, so we have to repeat the process.
*/

void bianchetta(int N, int K, int U[], int C[]) {
    stack<int> s;   // store the initial increasing sequence
    for(int i = 0; i < N; i++) {
        // remove last elements of the increasing sequence
        while(K > 0 && !s.empty() && s.top() > U[i]) {
            s.pop();
            K--;
        }
        
        // a new element for the increasing sequence (or maybe K = 0)
        s.push(U[i]);
    }
    
    // assemble the output
    while(!s.empty()) { C[s.size() - 1] = s.top(); s.pop(); }
}

int U[MAXN], C[MAXN];

int main() {
    FILE *fr, *fw;
    int N, K, i;

    fr = fopen("input.txt", "r");
    fw = fopen("output.txt", "w");
    assert(2 == fscanf(fr, "%d%d", &N, &K));
    for(i=0; i<N; i++)
        assert(1 == fscanf(fr, "%d", &U[i]));

    bianchetta(N, K, U, C);
    for(i=0; i<N-K; i++)
        fprintf(fw, "%d ", C[i]);
    fprintf(fw, "\n" );
    fclose(fr);
    fclose(fw);
    return 0;
}
