#include <stdio.h>
#include <assert.h>
#include <map>
#include <vector>

using namespace std;

/*
    The value is given by the sum of (f_i - p_i - p_i/2), for all selected i's.
    We can sort by this value, and take the first K atlets.
*/

int main() {
    FILE *fr, *fw;
    int N, K;

    fr = fopen("input.txt", "r");
    fw = fopen("output.txt", "w");
    fscanf(fr, "%d %d", &N, &K);

    // let's use a map to keep the elements sorted
    map<int, vector<int>> atleti;
    for(int i = 0; i < N; i++) {
        int f, p;
        fscanf(fr, "%d %d", &f, &p);
        int v = 2*f - 2*p - p;  // multiply everything by 2, so to avoid the use of floating point numbers
        atleti.insert(make_pair(v, vector<int>()));
        atleti[v].push_back(i+1);
    }
    
    for(auto it = atleti.rbegin();; ++it) {
        const vector<int>& v = it->second;
        for(int i = 0; i < v.size(); i++) {
            fprintf(fw, "%d\n", v[i]);
            if(--K <= 0) goto end;
        }
    }

    end:
    fclose(fr);
    fclose(fw);
    return 0;
}
