#include <bits/stdc++.h>

using namespace std;

/*
    At each step, we take the smallest or the greatest number not already used.
    The intuition is that in this way we satisfy the processed comparator,
    for any number that we will put in the next step.
*/

int main() {
    FILE *fr, *fw;
    int N;

    fr = fopen("input.txt", "r");
    fw = fopen("output.txt", "w");
    fscanf(fr, "%d", &N);
    
    // Let's use an dynamic array to store all numbers.
    // Since we have to take elements from the two sides, let's use a deque.
    deque<int> numbers(N);
    for(int i = 0; i < N; i++) numbers[i] = i+1;
    
    for(int i = 1; i < N;) {
        char op;
        fscanf(fr, "%c", &op);
        switch(op) {
        case '<':
            fprintf(fw, "%d ", numbers.front());
            numbers.pop_front();
            break;
        case '>':
            fprintf(fw, "%d ", numbers.back());
            numbers.pop_back();
            break;
        default: continue;  // skip \n and other spaces
        }
        i++;
    }
    assert(numbers.size() == 1);
    fprintf(fw, "%d\n", numbers.front());
    
    fclose(fr);
    fclose(fw);
    return 0;
}
