#include <stdio.h>
#include <assert.h>
#include <stack>

using namespace std;

#define MAXN 100000

int mangia(int N, int direzione[], int dimensione[]) {
    stack<int> s;
    for(int i = 0; i < N; i++) {
        // always add fishes moving from left to right
        if(direzione[i] == 0) { s.push(i); continue; }
        
        // fish moving from right to left: remove all smaller fishes moving in the other direction
        while(!s.empty() && direzione[s.top()] == 0 && dimensione[s.top()] < dimensione[i]) s.pop();
        
        // add the fish moving from right to left if it's not eaten
        if(s.empty() || direzione[s.top()] == 1) s.push(i);
    }
    return s.size();
}


int direzione[MAXN], dimensione[MAXN];

int main() {
    FILE *fr, *fw;
    int N, i;

    fr = fopen("input.txt", "r");
    fw = fopen("output.txt", "w");
    assert(1 == fscanf(fr, "%d", &N));
    for(i=0; i<N; i++)
        assert(2 == fscanf(fr, "%d%d", &direzione[i], &dimensione[i]));

    fprintf(fw, "%d\n", mangia(N, direzione, dimensione));
    fclose(fr);
    fclose(fw);
    return 0;
}
