#include <stdio.h>
#include <assert.h>
#include <set>

using namespace std;

#define MAXN 100000

typedef unsigned char byte;

/*
    In order to be divisible by 180:
    
    * last cipher must be 0
    * before last must be even
    * the sum of all ciphers must be a multiple of 9
    
    The third condition is guaranteed by the text.
*/

void permuta(int N, int G[], int Gtilde[]) {
    multiset<byte> c(G, G+N);

    // put a 0 in the last position
    auto it = c.begin();
    assert(*it == 0);
    Gtilde[N-1] = 0;
    c.erase(it);
    
    // put the smallest even cipher before the 0
    for(it = c.begin(); it != c.end(); ++it) if(*it % 2 == 0) { Gtilde[N-2] = *it; c.erase(it); break; }
    
    // greatest ciphers first
    int i = 0;
    for(auto it = c.rbegin(); it != c.rend(); ++it) Gtilde[i++] = *it;
}


int G[MAXN], Gtilde[MAXN];

int main() {
    FILE *fr, *fw;
    int N, i;

    fr = fopen("input.txt", "r");
    fw = fopen("output.txt", "w");
    assert(1 == fscanf(fr, "%d", &N));
    for(i=0; i<N; i++)
        assert(1 == fscanf(fr, "%d", &G[i]));

    permuta(N, G, Gtilde);
    for (i=0; i<N; i++)
        fprintf(fw, "%d ", Gtilde[i]);
    fprintf(fw, "\n");
    fclose(fr);
    fclose(fw);
    return 0;
}
